import random

# these are two variables that represent a point and no point
# since the variable names are in uppercase, we know we should
# never change them
POINT = '🟩'
NO_POINT = '⬜️'


def add_point(scores):
    """
    <scores> is a list of POINT and NO_POINT characters

    Change the first NO_POINT in the list to POINT

    Modifies the <scores> list.
    """
    # loop through all of the characters in <scores>
    for i in range(len(scores)):
        # if this character is NO_POINT, change it to
        # POINT and return
        if scores[i] == NO_POINT:
            scores[i] = POINT
            return


def main():
    # create a list of 5 NO_POINT characters, representing
    # give empty
    # each list will look like this:
    # ['⬜️', '⬜️', '⬜️', '⬜️', '⬜️']
    team1_score = [NO_POINT] * 5
    team2_score = [NO_POINT] * 5

    while True:
        # choose a random number between 1 and 10
        secret = random.randint(1, 10)
        # decide which team goes first using a random number
        # between 0 and 1. 50% of the time team 1 will go first,
        # and 50% of teh time team 2 will go first
        if random.random() < 0.5:
            team1_guess = int(input('Team 1 guess: '))
            team2_guess = int(input('Team 2 guess: '))
        else:
            team2_guess = int(input('Team 2 guess: '))
            team1_guess = int(input('Team 1 guess: '))

        print(f"The secret number was {secret}")

        # calculate how far off each team was
        diff1 = abs(team1_guess - secret)
        diff2 = abs(team2_guess - secret)

        if diff1 < diff2:
            # if team 1 was closer, they get a point
            add_point(team1_score)
        elif diff2 < diff1:
            # if team 2 was closer, they get a point
            add_point(team2_score)
        else:
            # if both teams were equally close, they both get a point
            add_point(team1_score)
            add_point(team2_score)

        # print the scores
        print(f'Team 1: {team1_score}')
        print(f'Team 2: {team2_score}')

        # first team to five points wins
        # we can check if a team has five points by checking if
        # the last character in the list is equal to POINT
        if team1_score[-1] == POINT:
            print('Team 1 wins!')
            break

        if team2_score[-1] == POINT:
            print('Team 2 wins!')
            break


if __name__ == '__main__':
    main()
